WordPress.org

Ready to get started?Download WordPress

Forums

WooCommerce SagePay Direct Payment Gateway
[resolved] Direct Payment Methods (6 posts)

  1. sjolundjohn
    Member
    Posted 8 months ago #

    We are a happy user of this integration.

    We are looking to expand the countries we are selling to, in Europe, and as a result needing to use different payment methods which are popular, such as Direct Payment, which SagePay supports.

    http://www.sagepay.com/accept-local-european-payments

    Using version 3 of their API - it is possible to use these methods.

    Do you have the means to add these payment methods to the plugin?

    http://wordpress.org/plugins/sagepay-direct-for-woocommerce-payment-gateway/

  2. swicks
    Member
    Plugin Author

    Posted 8 months ago #

    Sorry, but I don't time or resource to develop this further at this moment in time.

    I've been recently working on version 3 for SagePay Server - the unfinished code, I've just pushed up onto github https://github.com/swicks/sagepay-server-for-woocommerce This should be a good starting point for version 3 integration and if you have the means, feel free to use (it's all under GPLv2)

  3. sjolundjohn
    Member
    Posted 8 months ago #

    Hey Swicks,

    Would you be willing to develop this further for a fee to suite our needs?

  4. swicks
    Member
    Plugin Author

    Posted 8 months ago #

    Hi

    I've spoken to Sagepay support, having not being able to find any development documentation on using European payments with SagePay Direct. I've been told it will only work with Server and Form and the way it works is based on subscription and client address, so it should just work as the changes are done at SagePay and not on the client.

    Woocommerce have a SagePay Form available now:
    http://www.woothemes.com/products/sage-pay-form/

    regards

    Steve

  5. sjolundjohn
    Member
    Posted 8 months ago #

    Hi Steve,

    Thanks for update - when I spoke with them they indicated that it needed to be version 3 of the code so I guess that is next step right?

  6. swicks
    Member
    Plugin Author

    Posted 8 months ago #

    Hi
    Yes good point, they would need to be using protocol version 3

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.